//------------------------------------------------------------------------------------------------
// FORWARDINGS CARD
//------------------------------------------------------------------------------------------------

IpPbxMobile.views.forwardingDetailCards = new Array(3);
IpPbxMobile.views.forwardingDetailCards[0] = new IpPbxMobile.views.ForwardingsDetailCard();        // Busy Forwarding
IpPbxMobile.views.forwardingDetailCards[1] = new IpPbxMobile.views.ForwardingsDetailCardNoReply(); // NoReply Forwarding
IpPbxMobile.views.forwardingDetailCards[2] = new IpPbxMobile.views.ForwardingsDetailCard();        // Unconditional Forwarding

//------------------------------------------------------------------------------------------------

IpPbxMobile.views.ForwardingsCard = Ext.extend(Ext.Panel,
{
    id: 'forwardingscard',
    layout: 'card',
    scroll: 'vertical',
    initComponent: function()
    {
        Ext.apply(this,
		{
		    items: [forwardingList,
                    IpPbxMobile.views.forwardingDetailCards[0],
                    IpPbxMobile.views.forwardingDetailCards[1],
                    IpPbxMobile.views.forwardingDetailCards[2]]
		});

        IpPbxMobile.views.ForwardingsCard.superclass.initComponent.apply(this, arguments);
    }
});

// Register View
Ext.reg('IpPbxMobile.views.ForwardingsCard', IpPbxMobile.views.ForwardingsCard);

//------------------------------------------------------------------------------------------------

// Forwarding List
var forwardingList = new Ext.List(
{
    id: 'forwardinglist',
    margin: '8 0 0 0',
    itemTpl: forwardingListItemTpl,    
    itemCls: 'fwdListItem',
    grouped: false,
    indexBar: false,
    ui: 'round',
    store: IpPbxMobile.stores.ForwardingItems,    
    listeners:
	{
	    selectionchange: function (dv, records)
	    {
	        if (records[0] !== undefined)
	        {
	            IpPbxMobile.controllers.ForwardingController.showForwardingsDetailCard(records[0]);

	            this.deselect(records, false);
	        }
	    }
	}
});

//------------------------------------------------------------------------------------------------
