//------------------------------------------------------------------------------------------------
// REMOTE CONTACT DETAIL CARD
//------------------------------------------------------------------------------------------------

IpPbxMobile.views.RemoteContactDetails = Ext.extend(Ext.Panel,
{
    id: 'remotecontactdetailsview',
    scroll: 'vertical',
    styleHtmlContent: false,
    tpl: remoteContactItemTpl,
    
    // TODO: Is the following code still required?
    store: new Ext.data.Store(
    {
        id: 'RemoteContactDetailsStore',
        model: 'IpPbxMobile.models.RemoteContactDetails'
    }),

    initComponent: function ()
    {
        var contactDetailToolbar = new Ext.Toolbar(
        {
            dock: 'top',
            title: 'Info',
            id: 'titleRemoteContact',
            items:
            {
                text: 'Back',
                ui: 'back',
                itemId: 'remoteContactBackButton',
                handler: function ()
                {
                    Ext.dispatch(
                    {
                        controller: IpPbxMobile.controllers.RemoteContactController,
                        action: 'showRemoteList'
                    });
                }
            }
        });

        Ext.apply(this,
        {
            dockedItems: [contactDetailToolbar]
        });

        IpPbxMobile.views.RemoteContactDetails.superclass.initComponent.apply(this, arguments);
    }
});

Ext.reg('IpPbxMobile.views.RemoteContactDetails', IpPbxMobile.views.RemoteContactDetails);

//------------------------------------------------------------------------------------------------