//------------------------------------------------------------------------------------------------
// REMOTE CONTACT LIST ITEM TEMPLATE
//------------------------------------------------------------------------------------------------

var remoteContactListItemTpl = [
    '<div class="cState{State}"></div>',
    '<div class="cRemoteListItem">',
        '<div class="cRemoteItem">{Name}</div>',
    '</div>'
];

//------------------------------------------------------------------------------------------------
// LOCAL CONTACT LIST ITEM TEMPLATE
//------------------------------------------------------------------------------------------------

var localContactListItemTpl = [
    '<div class="cLocalListItem">',
        '<div class="cLocalItem">{displayName}</div>',
    '</div>'
];

//------------------------------------------------------------------------------------------------
// REMOTE CONTACT DETAIL CARD TEMPLATE
//------------------------------------------------------------------------------------------------

var remoteContactItemTpl = new Ext.XTemplate(

'<div style="margin: 8px;">',
'    <div class="x-layout-box-inner x-layout-box" >',
/*Picture*/
'        <div class=" x-panel" style="margin-top: 0px; margin-right: 4px; margin-bottom: 4px;',
'            margin-left: 0px; width: 102px; height: 100px;">',
'            <div class="x-panel-body" style="left: 0px; top: 0px;">',
'                <div class=" x-panel x-form-fieldset" style=" margin-top: 0px;',
'                    margin-right: 0px; margin-bottom: 0px; margin-left: 0px;">',
'                    <div class="x-panel-body">',
'                        <tpl if="Pic.length &gt; 0"><div class="detailPicture" style="background-image:url(\'data:image/png;base64,{Pic}\');"></tpl>',
'                        <tpl if="Pic.length==0 && Type==2"><div class="detailPicture defaultGroupPic"></tpl>',
'                        <tpl if="Pic.length==0 && Type!=2"><div class="detailPicture defaultUserPic"></tpl>',
'                        </div>',
'                    </div>',
'                </div>',
'            </div>',
'        </div>',

/*Name*/
'        <div class=" x-panel  x-input-text" style="margin: 0px 0px 0px 0px;">',

'            <div style="float: none !important; margin: 10px 0px 0px 6px;">',
'                <tpl if="Name.length &lt; 20"><div class="detailNameTextNormal">{Name}</div></tpl>',
'                <tpl if="Name.length &gt; 19 && Name.length &lt; 30"><div class="detailNameTextSmall">{Name}</div></tpl>',
'                <tpl if="Name.length &gt; 29"><div class="detailNameTextSmaller">{Name}</div></tpl>',
'            </div>',

// BEGIN - Show User State and Forwarding State only if entry is a valid IpPbx User
'<tpl if="Type==1">',

/*State*/
'            <div class="x-layout-box-inner x-layout-box" style="margin: -4px 0px 0px 0px; -webkit-box-orient: horizontal;',
'                -webkit-box-direction: normal; -webkit-box-pack: start; -webkit-box-align: stretch;"> ',
'                <div id="ext-comp-1018" class=" x-panel">',
'                    <div class="detailStatusIcon cState{State}"></div>',
'                </div>',
'                <div class=" x-panel x-input-text" style="margin: 0px;">',
'                    <div class="x-panel-body">',
'                        <div class="x-field  x-landscape">',
'                            <div class="x-form-field-container" style="margin: 12px 7px 7px 0px;">',
'                                {StateName}',
'                            </div>',
'                        </div>',
'                    </div>',
'                </div>',
'            </div>',

/*Forwarding*/
'            <tpl if="Forwarding">',
'                <div style="float: none !important; margin: -2px 0px 0px 6px;">',
'                    <div class="detailFwdText">{Forwarding}</div>',
'                </div>',
'            </tpl>',

// END - Show User State and Forwarding State only if entry is a valid IpPbx User
'</tpl>',

'        </div>',
'    </div>',

/*Text*/
'<tpl if="Text">',
'		<div  class=" x-panel x-form-fieldset"  ',
'			style="margin-top: 8px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px;">',

'				<div class="x-layout-box-inner x-layout-box" ',
'					style="-webkit-box-orient: horizontal; -webkit-box-direction: normal; -webkit-box-pack: start; -webkit-box-align: stretch; ">',

'						<div class="x-form-field-container detailStatusText" style="margin: 0px 7px 0px 7px;"  style=" height: 100%;  width: 100%;">',
'                        {LocalisedText}',
'						</div>',

'				</div>',
'				</div>',
' </tpl>',

/*Numbers*/
'              <tpl if="Numbers[0]">',
'                <div class=" x-panel x-form-fieldset" style="margin: 8px 0px 0px 0px;" >',
'                    <div class="x-panel-body" style="background-color: white;" >',
'                        <tpl for="Numbers">',
'                            <div class="x-field  x-landscape x-label-align-left" onclick="IpPbxMobile.controllers.DialpadController.handleCallRequest(\'{.}\')">',
'                                <div style="margin: 12px 7px 7px 7px;">{.}</div>',
'                            </div>',
'                        </tpl>',
'                    </div>',
'                </div>',
'              </tpl>',

/*Mail*/
'              <tpl if="Mail">',
'                <div class=" x-panel x-form-fieldset" style="margin-top: 8px; margin-right: 0px;',
'                    margin-bottom: 0px; margin-left: 0px;" >',
'                    <div class="x-panel-body" style="background-color: white;" >',
'                       <tpl for="Mail">',
        '                       <div class="x-field  x-landscape x-label-align-left">',
        '                            <div class="x-form-field-container x-input-text" style="margin: 12px 7px 7px 7px;">',
        '                               <a href="mailto:{.}" style="text-decoration:none"><div style="overflow: hidden; text-overflow: ellipsis; color:black; text-decoration:none" >{.}</div></a>',
        '                            </div>',
        '                       </div>',
    '                       </tpl>',
    '                    </div>',
'                      </div>',
'                   </div>',
'                </tpl>',
'</div>' // vertical div
);

//------------------------------------------------------------------------------------------------
// LOCAL CONTACT DETAIL CARD TEMPLATE
//------------------------------------------------------------------------------------------------

var localContactItemTpl = new Ext.XTemplate(

'<div style="margin: 8px;">',
'    <div class="x-layout-box-inner x-layout-box" >',

/*Picture*/
'        <div id="Div1" class=" x-panel" style="margin-top: 0px; margin-right: 4px; margin-bottom: 4px;',
'            margin-left: 0px; width: 102px; height: 100px;">',
'            <div class="x-panel-body" style="left: 0px; top: 0px;">',
'                <div class=" x-panel x-form-fieldset" style=" margin-top: 0px;',
'                    margin-right: 0px; margin-bottom: 0px; margin-left: 0px;">',
'                           <div class="x-panel-body">',
'                               <tpl if="displayPhoto.length &gt; 0"><div class="detailPicture" style="background-image: url({displayPhoto});"></tpl>',
'                               <tpl if="displayPhoto.length == 0"><div class="detailPicture defaultUserPic"></tpl>',
'                               </div>', // detailPicture div
'                       </div>',
'                </div>',
'            </div>',
'        </div>',

'        <div class=" x-panel  x-input-text" style="margin: 2px 0px 0px 0px;">',
/*Name*/
'            <div style="float: none !important; margin: 8px 0px 0px 6px;">',
'                <tpl if="displayName">',
'                    <tpl if="displayName.length &lt; 20"><div class="detailNameTextNormal">{displayName}</div></tpl>',
'                    <tpl if="displayName.length &gt; 19 && displayName.length &lt; 30"><div class="detailNameTextSmall">{displayName}</div></tpl>',
'                    <tpl if="displayName.length &gt; 29"><div class="detailNameTextSmaller">{displayName}</div></tpl>',
'                </tpl>',
'            </div>',

/* Job Title */
'            <div style="float: none !important; margin: 8px 0px 0px 6px;">',
'                <tpl if="jobTitle">',
'                    <tpl if="jobTitle.length &lt; 20"><div class="detailJobTitleTextNormal">{jobTitle}</div></tpl>',
'                    <tpl if="jobTitle.length &gt; 19 && jobTitle.length &lt; 30"><div class="detailJobTitleTextSmall">{jobTitle}</div></tpl>',
'                    <tpl if="jobTitle.length &gt; 29"><div class="detailJobTitleTextSmaller">{jobTitle}</div></tpl>',
'                </tpl>',
'            </div>',

/* Company */
'            <div style="float: none !important; margin: 8px 0px 0px 6px;">',
'                <tpl if="company">',
'                    <tpl if="company.length &lt; 20"><div class="detailCompanyTextNormal">{company}</div></tpl>',
'                    <tpl if="company.length &gt; 19 && company.length &lt; 30"><div class="detailCompanyTextSmall">{company}</div></tpl>',
'                    <tpl if="company.length &gt; 29"><div class="detailCompanyTextSmaller">{company}</div></tpl>',
'                </tpl>',
'            </div>',

'        </div>',

'    </div>', // Horizontal div

'        <div class=" x-panel  x-input-text" style="margin: 8px 0px 0px 0px;">',

/*Numbers*/
'              <tpl if="phoneNumbers[0]">',
'                <div class=" x-panel x-form-fieldset" style="margin: 8px 0px 0px 0px;" >',

'                    <div class="x-panel-body" style="background-color: white;" >',
'                        <tpl for="phoneNumbers">',
'                            <div class="x-field  x-landscape x-label-align-left" onclick="IpPbxMobile.controllers.DialpadController.handleCallRequest(\'{value}\')">',

// Label
'                                <div class="x-landscape x-label-align-right" style="margin: 12px 7px 7px 7px;">',
'                                    <div class="local-number-label">',
'                                        <div class="local-number-label-wrapper">',
'		                                     <div class="local-number-label-cell">',
'                                                {type}',
'                                            </div>', // cell
'                                        </div>', // wrapper
'                                    </div>', // local-number-label
'                                </div>', // x-landscape

// Value
'                                <div class="x-landscape x-label-align-right" style="margin: 12px 7px 7px 7px;">',
'                                    <div class="local-number-value">',
'                                        <div class="local-number-label-wrapper">',
'		                                     <div class="local-number-value-cell">',
'                                                {value}',
'                                            </div>', // cell
'                                        </div>', // wrapper
'                                    </div>', // local-number-value
'                                </div>', // x-landscape



'                            </div>',
'                        </tpl>',
'                    </div>',

'                </div>',
'              </tpl>',

/* E-Mails */
'              <tpl if="emails[0]">',
'                <div class=" x-panel x-form-fieldset" style="margin: 8px 0px 0px 0px;" >',

'                    <div class="x-panel-body" style="background-color: white;" >',
'                        <tpl for="emails">',
    '                       <div class="x-field  x-landscape x-label-align-left">',
    '                            <div class="x-form-field-container x-input-text" style="margin: 12px 7px 7px 7px;">',
        '                               <a href="mailto:{value}" style="text-decoration:none"><div style="overflow: hidden; text-overflow: ellipsis; color:black; text-decoration:none" >{value}</div></a>',
    '                            </div>',
    '                       </div>',
'                        </tpl>',
'                    </div>',

'                </div>',
'              </tpl>',
'</div>' // vertical div
);

//------------------------------------------------------------------------------------------------