﻿//------------------------------------------------------------------------------------------------
// MORE LIST ITEM TEMPLATE
//------------------------------------------------------------------------------------------------

var moreListItemTpl = [
    '<tpl if="isLink">',
        '<a href="{link}" target="_blank" class="mLinkItem">',
	'</tpl>',
            '<div class="{css}">',
    	        '<div class="sItem">{text}</div>',
                '<div class="sArrow arrow"></div>',
            '</div>',
	'<tpl if="isLink">',
        '</a>',
    '</tpl>',
];

//------------------------------------------------------------------------------------------------
// FORWARDING LIST ITEM TEMPLATE
//------------------------------------------------------------------------------------------------

var forwardingListItemTpl = [
    '<tpl if="FwdEnabled"><div class="mFwdOn"></tpl>',
    '<tpl if="FwdEnabled == false"><div class="mFwdOff"></tpl>',
    	'<div class="sItem">{TypeName}</div>',
        '<div class="sArrow arrow"></div>',
    '</div>',
];

//------------------------------------------------------------------------------------------------
// CREDITS TEMPLATE
//------------------------------------------------------------------------------------------------

var creditsHtml = [
    '<div class="creditsContainer">',

        '<p class="creditsStart">',
            'Not a long time ago there was a great development team...',
        '</p>',

        '<div class="creditsMain">',
        
            // IMPORTANT            
            // The application title must be in the creditsHtml array
            // at position (index) 6 and the application version must
            // be at position (index) 7. Otherwise the placeholders
            // cannot be replaced with the real content.
            // Take a look at the end of the "translateMainGui"
            // method in the LanguageController.
            
			'<p>',
			'<span class="creditsAppTitle">#apptitle#</span><br>',
            '<span class="creditsAppVersion">v#appversion#</span>',
            '<br>&nbsp;',
			'</p>',
			
			'<p>',
			'<span class="creditsSubTitle">Development</span>',
			'<br>Sebastian Dreier',
			'<br>Carola Stumpe',
			'<br>Patrick Derichs',
            '<br>&nbsp;',
			'</p>',
			
			'<p>',
			'<span class="creditsSubTitle">Quality Assurance</span>',
            '<br>Andreas Rummel',
			'<br>Stefan Neumann',
			'<br>Michael Krause',
            '<br>&nbsp;',
			'</p>',
			
			'<p>',
			'<span class="creditsSubTitle">Product Management</span>',
            '<br>Martin Hüser',
			'<br>Michael Thomson',
			'<br>Stephan Boldt',
            '<br>&nbsp;',
			'</p>',
			
		'</div>',
    '</div>'
];

//------------------------------------------------------------------------------------------------