﻿//------------------------------------------------------------------------------------------------
// CONTACTS - CONTAINER CARD FOR REMOTE, LOCAL AND SEARCH CONTACTS
//------------------------------------------------------------------------------------------------

IpPbxMobile.views.ContactsCard = Ext.extend(Ext.Panel,
{
    id: 'contactscard',
    title: 'Contacts',
    layout: 'card',
    iconCls: 'addressbook',    
    initComponent: function()
    {
        Ext.apply(this,
		{
		    items: [{ xtype: 'IpPbxMobile.views.RemoteContactList' },
                    { xtype: 'IpPbxMobile.views.RemoteContactDetails' },
                    { xtype: 'IpPbxMobile.views.LocalContactList'},
                    { xtype: 'IpPbxMobile.views.LocalContactDetails' }]
		});

		IpPbxMobile.views.ContactsCard.superclass.initComponent.apply(this, arguments);
    }
});

// Register View
Ext.reg('IpPbxMobile.views.ContactsCard', IpPbxMobile.views.ContactsCard);

//------------------------------------------------------------------------------------------------