//------------------------------------------------------------------------------------------------
// LOCAL CONTACT DETAIL CARD
//------------------------------------------------------------------------------------------------

IpPbxMobile.views.LocalContactDetails = Ext.extend(Ext.Panel,
{
    id: 'localcontactdetailsview',
    scroll: 'vertical',
    styleHtmlContent: false,
    tpl: localContactItemTpl,
    store: IpPbxMobile.stores.LocalContactItems,
    initComponent: function ()
    {
        var contactDetailToolbar = new Ext.Toolbar(
        {
            dock: 'top',
            title: 'Info',
            id: 'titleLocalContact',
            items:
            {
                text: 'Back',
                ui: 'back',
                itemId: 'localContactBackButton',
                handler: function ()
                {
                    Ext.dispatch(
                    {
                        controller: IpPbxMobile.controllers.LocalContactController,
                        action: 'showLocalList'
                    });
                }
            }
        });

        Ext.apply(this,
        {
            dockedItems: [contactDetailToolbar]
        });

        IpPbxMobile.views.LocalContactDetails.superclass.initComponent.apply(this, arguments);
    }    
});

Ext.reg('IpPbxMobile.views.LocalContactDetails', IpPbxMobile.views.LocalContactDetails);

//------------------------------------------------------------------------------------------------